---
title: "Create placement channel targeting"
type: reference
method: POST
path: /rest-api/placement/{placementId}/targeting/channel/create.do
tag: "Targeting Rules"
---

# Create placement channel targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/placement/{placementId}/targeting/channel/create.do`

Creates a channel targeting rule for the specified placement. The channel value is validated before being saved. Targeting is automatically enabled if it was previously disabled. Requires UPDATE permission on the placement and MANAGE_SUPPLY_PRE_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `placementId` | integer | yes | `4001` | Unique numeric ID of the placement |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `channel` | string | yes | `news` | Channel identifier string to target |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Placement not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/placement/4001/targeting/channel/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'channel=news'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-placement-targeting-channel-create